aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-glib
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 14:29:14 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 14:29:14 +0000
commit781c9752989847ae45ca98646e7436ebcf40067f (patch)
tree1e8d1e10cb0c415f3948eb9cec4618c1658af362 /community/perl-glib
parent5d650509655bc4fbf500b1d7dfe719fb1d5fba2c (diff)
downloadaports-781c9752989847ae45ca98646e7436ebcf40067f.tar.gz
aports-781c9752989847ae45ca98646e7436ebcf40067f.tar.bz2
aports-781c9752989847ae45ca98646e7436ebcf40067f.tar.xz
community/perl-glib: moved from testing, upgrade to 1.322
Diffstat (limited to 'community/perl-glib')
-rw-r--r--community/perl-glib/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/community/perl-glib/APKBUILD b/community/perl-glib/APKBUILD
new file mode 100644
index 0000000000..95ea22f5fa
--- /dev/null
+++ b/community/perl-glib/APKBUILD
@@ -0,0 +1,45 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-glib
+_pkgreal=Glib
+pkgver=1.322
+pkgrel=0
+pkgdesc="Perl module for Glib"
+url="http://search.cpan.org/dist/Glib/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-extutils-depends perl-extutils-pkgconfig"
+depends="$cpandepends"
+makedepends="perl-dev glib-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/X/XA/XAOC/Glib-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ if [ -e Build.PL ]; then
+ perl Build.PL installdirs=vendor || return 1
+ else
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ fi
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+
+md5sums="ae89dfb4a0ef2a611933aadce978e823 Glib-1.322.tar.gz"
+sha256sums="487c4b0894a8036ff69385526a749ca78e3f92252b0491d9dacc7c0266f02e96 Glib-1.322.tar.gz"
+sha512sums="13fd21be640caea2d2d37e2cf494b4defcd558f4afff80d8f0848616554830df9fd9885731c2514c24be2e89d5b7b604a5c6e63576e605c0271dba60516705d2 Glib-1.322.tar.gz"